import LayoutMain from '@/framework/layout/Main'
import Index from '@/views/index'
import auth from '@/views/system/auth'
import noUser from '@/views/system/nouser'
//集团管理
import manageGroup from '@/views/manage/group'
//项目管理
import manageProject from '@/views/manage/project'
//集团字典
import groupDictionaries from '@/views/group'
//集团审核记录
import groupAuditRecord from '@/views/group/auditRecord'
//内容管理
import groupContentManagement from "@/views/group/contentManagement";
//项目字典
import projectDictionaries from '@/views/project'
//项目审核记录
import projectAuditRecord from '@/views/project/auditRecord'
//变更审核
import record from '@/views/record'
//字典审核记录
import recordAuditRecord from '@/views/record/auditRecord'
//变更审核
import recordChangeReview from '@/views/record/changeReview'
//审核新增
import recordAddAudit from '@/views/record/addAudit'
//审核修改
import recordEditAudit from '@/views/record/editAudit'

export default [
  {
    path: '/',
    name: '',
    component: LayoutMain,
    children: [
      {path: '', name: 'blank', component: Index},
    ]
  },
  {path: '/auth', name: 'auth', component: auth},
  {path: '/noUser', name: 'noUser', component: noUser},
  {
    path: '/manage',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [
      {
        path: 'group',
        name: 'manageGroup',
        component: manageGroup,
        meta: {keepAlive: false, breadcrumbs: [{label: '集团管理'}]}
      },
      {
        path: 'project',
        name: 'manageProject',
        component: manageProject,
        meta: {keepAlive: false, breadcrumbs: [{label: '项目管理'}]}
      },
    ]
  },
  {
    path: 'group',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [
      {
        path: '/group',
        name: 'groupDictionaries',
        component: groupDictionaries,
        meta: {keepAlive: false, breadcrumbs: [{label: '集团字典'}]},
      },
      {
        path: '/group/contentManagement',
        name: 'groupContentManagement',
        component: groupContentManagement,
        meta: {keepAlive: false, breadcrumbs: [{label: '集团字典'}, {label: '内容变更'}]}
      },
      {
        path: '/group/auditRecord',
        name: 'groupAuditRecord',
        component: groupAuditRecord,
        meta: {keepAlive: false, breadcrumbs: [{label: '集团字典'}, {label: '审核记录'}]}
      },

    ]
  },
  {
    path: '/project',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [
      {
        path: '/project',
        name: 'projectDictionaries',
        component: projectDictionaries,
        meta: {keepAlive: false, breadcrumbs: [{label: '项目字典'}]}
      },
      {
        path: '/project/auditRecord',
        name: 'projectAuditRecord',
        component: projectAuditRecord,
        meta: {keepAlive: false, breadcrumbs: [{label: '项目字典'}, {label: '审核记录'}]}
      },
    ]
  }, {
    path: '/record',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [
      {
        path: '/record',
        name: 'record',
        component: record,
        meta: {keepAlive: false, breadcrumbs: [{label: '字典变更审核'}]}
      },
      {
        path: '/record/auditRecord',
        name: 'recordAuditRecord',
        component: recordAuditRecord,
        meta: {keepAlive: false, breadcrumbs: [{label: '字典变更审核'}]}
      },
      {
        path: '/record/changeReview',
        name: 'recordChangeReview',
        component: recordChangeReview,
        meta: {keepAlive: false, breadcrumbs: [{label: '变更审核'}]}
      },
      {
        path: '/record/addAudit',
        name: 'recordAddAudit',
        component: recordAddAudit,
        meta: {keepAlive: false, breadcrumbs: [{label: '变更审核'}]}
      },
      {
        path: '/record/editAudit',
        name: 'recordEditAudit',
        component: recordEditAudit,
        meta: {keepAlive: false, breadcrumbs: [{label: '变更审核'}]}
      },

    ]
  },
]
